!!! 5
%html{lang: "en"}
  %head
    = partial "includes/layout/head"
    = stylesheet_link_tag "handbook"
    = stylesheet_link_tag "navigation-helpers"
    %link{:rel => :stylesheet, :type => :"text/css", :href => "/stylesheets/release-posts.css"}
  %body{:data => {:spy => "scroll", :target => ".qnav"}}
    = partial "includes/google/gtm"
    = partial "includes/layout/header"

    / blog template
    .blog.article
      - if is_blog_article?
        - image_title = current_article.data.image_title ? current_article.data.image_title : '/images/default-blog-image.png'
        .cover{ style: "background-image: url(#{image_title});" }
          - header_layout_dark = current_article.data.header_layout_dark
          %div{ class: "overlay#{header_layout_dark ? '-dark' : ''}"}
            %div{ class: "wrapper header #{header_layout_dark ? 'dark-header' : ''}"}
              %span.date
                = current_article.date.to_time.strftime '%b %e, %Y'
              %span -
              %span{ class: "author #{header_layout_dark ? 'dark-header' : ''}"}
                - guest = current_article.data.guest
                - anchor = current_article.data.author_gitlab
                - if guest
                  = current_article.data.author
                - else
                  - if anchor
                    = link_to current_article.data.author, "/company/team/##{anchor}"
                  - else
                    = current_article.data.author
                - if current_article.data.author_gitlab
                  = link_to "https://gitlab.com/#{current_article.data.author_gitlab}" do
                    %span &nbsp;
                    %spam{ class: "author-gitlab #{header_layout_dark ? 'dark-header' : ''}"}
                      %i.fab.fa-gitlab
              - release_number_dark = current_article.data.release_number_dark
              - if current_article.data.release_number
                %div{ class: "release-number #{release_number_dark ? 'release-number-dark' : ''}"}
                  - if current_article.data.release_number_image
                    = image_tag "#{current_article.data.release_number_image}", class:"release-number-image", alt:"#{current_article.data.release_number}"
                  - else
                    = current_article.data.release_number
              %h1
                = current_article.title
              - if current_article.data.description
                %p.description
                  = current_article.data.description
              - if current_article.data.cta_button_link && current_article.data.cta_button_text
                = link_to(current_article.data.cta_button_text, "#{current_article.data.cta_button_link}", class: "btn btn-lg btn-red")

      / body template
      .wrapper.body
        .content
          - filename = File.basename(current_page.path, File.extname(current_page.path)).gsub("-", "_")
          / release post content
          %section.release-post-section
            #intro
              = yield

            = partial "includes/blog/twitter_helper"
          = partial("includes/release", :locals => { :datafile => data.release_posts[filename], :current_article => current_article })

          /last section
          %section#about-gitlab.gray-section
            .release-row.align-top
              .column
                %h3{:id => "changelog"}
                  %a.header-link{href: "#changelog"}
                    %i.fas.fa-link
                  Changelog
                %p
                  Please check out the changelog to see all the named changes:
                  %ul
                    %li
                      %a{:href => "https://gitlab.com/gitlab-org/gitlab-foss/blob/master/CHANGELOG.md", target: "_blank", title: "GitLab"} GitLab
                    %li
                      %a{:href => "https://gitlab.com/gitlab-org/gitlab-runner/blob/main/CHANGELOG.md", target: "_blank", title: "GitLab Runner"} GitLab Runner
                %h3{:id => "installing"}
                  %a.header-link{href: "#installing"}
                    %i.fas.fa-link
                  Installing
                %p
                  If you are setting up a new GitLab installation please see the
                  %a{:href => "/install/"} download GitLab page.
                %h3{:id => "updating"}
                  %a.header-link{href: "#updating"}
                    %i.fas.fa-link
                  Updating
                %p
                  Check out our
                  %a{:href => "/update/"} update page.
                %h3{:id => "questions"}
                  %a.header-link{href: "#questions"}
                    %i.fas.fa-link
                  Questions?
                %p
                  We'd love to hear your thoughts! Visit the GitLab Forum
                  %a{:href => "https://forum.gitlab.com/", target: "_blank", title: "GitLab Forum"} GitLab Forum
                  and let us know if you have questions about the release.
              .column
                %h3{:id => "gitlab-products"}
                  %a.header-link{href: "#gitlab-products"}
                    %i.fas.fa-link
                  GitLab Subscription Plans
                  %ul
                    %li
                      %b Free:
                      Free-forever features for individual users
                    %li
                      %b Premium:
                      Enhance team productivity and coordination
                    %li
                      %b Ultimate:
                      Organization wide security, compliance, and planning
                  %p
                    Try all GitLab features - 
                    %a{:href => "https://about.gitlab.com/free-trial", title: "GitLab Free Trial"} free for 30 days

          / cover image
          %section#cover-img.release-post-section
            - cover = current_article.data.cover_img || data.release_posts[filename].cover_img
            %p.note.text-center
              %a{href: "#{cover.image_url}", target: "_blank", rel: "noindex, nofollow"} Cover image
              licensed under
              = link_to(cover.licence, "#{cover.licence_url}")

        / default template
        .social
          = partial "includes/blog/share"
        = partial "includes/blog/pager"
      .wrapper.signup
        = partial "includes/newsletter-signup.html"
      = partial "includes/blog/try"
      - if ci_environment?
        .wrapper.comments
          = partial "includes/blog/comments"
      = partial "includes/layout/footer"

    / tooltip
    %script{:async => "", :src => "/javascripts/bootstrap-tooltip.js", :type => "text/javascript"}
